Time off & holidays
Get Hris Org Custom Leave Types
Lists org custom leave types, seeding the default set on first fetch.
POSThttps://api.toku.com/hris/get-hris-org-custom-leave-types
Not available to API keys yet. It will need time:write.
curl --request POST \
--url 'https://api.toku.com/hris/get-hris-org-custom-leave-types' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"includeInactive": true
}'200 response
[
{
"customLeaveTypeID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string",
"isActive": true,
"balanceType": "UNLIMITED",
"totalPerYear": 0,
"accrualFrequency": "FRONT_LOADED",
"accrualStart": "HIRE_DATE",
"prorateFirstPeriod": true,
"accrualEffectiveFrom": "2026-01-01",
"countsAsLeaveType": "ANNUAL_LEAVE"
}
]Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
includeInactivebooleanResponse
200Successful response
customLeaveTypeIDstring<uuid>requirednamestringrequiredisActivebooleanrequiredbalanceTypestringrequiredAvailable options: UNLIMITED, EARNED, ACCRUAL, FLEXIBLE
totalPerYearnumber | nullrequiredaccrualFrequencystringrequiredAvailable options: FRONT_LOADED, MONTHLY, ANNIVERSARY
accrualStartstringrequiredAvailable options: HIRE_DATE, PROBATION_END, CONTINUOUS_SERVICE_DATE
prorateFirstPeriodbooleanrequiredaccrualEffectiveFromstring | null<date>requiredcountsAsLeaveTypestring | nullrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits